<?php
$dostup_country = true; // Проверка наличия государства
include_once('inclfiles/core.php');

if($id != null){
	if(mysql_num_rows(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$id."")) == 0){
    	$title = 'Ошибка';
		include_once('inclfiles/head.php');
		t('Данный тип сооружений не найден');
		include_once('inclfiles/foot.php');
    }

    $building_type = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$id.""));

    if(mysql_num_rows(mysql_query("SELECT * FROM `buildings` WHERE `type` = ".$id." AND `country` = ".$country['id']."")) == 0){
        $title = $building_type['name'];
		include_once('inclfiles/head.php');
		t('В Вашем государстве еще не было построено сооружение '.$building_type['name_rp']);
		include_once('inclfiles/foot.php');
    }

    $building = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id']." AND `type` = ".$id.""));
    $building_all = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_all` WHERE `type` = ".$id." AND `level` = ".$building['level'].""));

   	if($act=='territory' AND $building_type['ukrepl']) $title = 'Территория сооружения '.$building_type['name_rp'];
   	else if($act=='ohrana') $title = 'Охрана сооружения '.$building_type['name_rp'];
   	else $title = $building_all['name'];
	include_once('inclfiles/head.php');

	if($building['status'] == 'built') $eerr= 'Данное сооружение строится';
	if($building['status'] == 'destroyed') $eerr= 'Данное сооружение разрушено';

    if($eerr != null){
		t($eerr);
		include_once('inclfiles/foot.php');
    }

	if($building_type['ukrepl']){
    	$cena_wood = 40 + 80 * $building['ukrepl'];
    	if($building['ukrepl'] >=10) $cena_stone = 100 * $building['ukrepl'];
    	else $cena_stone = 0;
    }

    if($act=='ukrepl'){
    	if(!$building_type['ukrepl']) $err[] = 'Сооружения данного типа нельзя укреплять';
    	else if($building['ukrepl'] >= 100) $err[] = 'Данное сооружение укреплено до максимума';
        else if($country['wood'] < $cena_wood OR $country['stone'] < $cena_stone) $err[] = 'Недостаточно ресурсов для укрепления данного сооружения';
        if(!isset($err)){
        	m('Сооружение успешно укреплено');
         	if($building['ukrepl'] == 9) m('Теперь сооружение сложено из камня');
        	mysql_query("UPDATE `buildings` SET `ukrepl` = (`ukrepl` + 1) WHERE `country` = ".$country['id']." AND `type` = ".$id."");
    		mysql_query("UPDATE `countries` SET `wood`= (`wood` - ".$cena_wood."), `stone`= (`stone` - ".$cena_stone.") WHERE `id` = ".$country['id']." ");
    		$building['ukrepl']++;
			$cena_wood = 40 + 80 * $building['ukrepl'];
    		$cena_stone = 100 * $building['ukrepl'];
    		$country['stone'] = $country['stone'] - $cena_stone;
    		$country['wood'] = $country['wood'] - $cena_wood;
        }
    }
    else if($act=='territory'){
    	if($building_type['rasshir']){
    		if($_POST['plus'] != null OR $_POST['minus'] != null){
    			$territ = num($_POST['territ']);
    			if($territ != 0){
	            	if($_POST['plus'] != null){
	            		if($territ > $country['territory_free']) $err[] = 'Недостаточно свободной территории';
	            		else{
	            			mysql_query("UPDATE `buildings` SET `territory` = (`territory` + ".$territ.") WHERE `country` = ".$country['id']." AND `type` = ".$id."");
	            			mysql_query("UPDATE `countries` SET `territory_free` = (`territory_free` - ".$territ.") WHERE `id` = ".$country['id']."");
	            			m('Территория сооружения успешно увеличена');
	            			$building['territory'] = $building['territory'] + $territ;
	            		}
	            	}
	            	else{
	            		if($territ > $building['territory']) $err[] = 'Данное сооружение занимает меньшую территорию';
	            		else if($building['territory'] - $territ < $building_type['territory']) $err[] = 'Сооружение данного типа не может занимать территорию меньше '.$building_type['territory'].' км<sup>2</sup>';
	            		else{
	            			mysql_query("UPDATE `buildings` SET `territory` = (`territory` - ".$territ.") WHERE `country` = ".$country['id']." AND `type` = ".$id."");
	            			mysql_query("UPDATE `countries` SET `territory_free` = (`territory_free` + ".$territ.") WHERE `id` = ".$country['id']."");
	            			m('Территория сооружения успешно уменьшена');
	            			$building['territory'] = $building['territory'] - $territ;
	            		}
	            	}
	          	}
	          	else $err[] = 'Вы не ввели количество территории';
    		}
    		err();
    		echo '<form action="buildings.php?id='.$id.'&act=territory&'.$gets.'" method="POST">';
			c('Территория (у Вас '.$country['territory_free'].' км<sup>2</sup> свободной территории):<br/><input type="text" name="territ" value="'.intval($territ).'"/><br/><small>Данное сооружение не может занимать менее '.$building_type['territory'].' км<sup>2</sup></small><br/><input name="plus" type="submit" value="Расширить" /> <input name="minus" type="submit" value="Уменьшить" />');
			echo '</form>';
			t('Сейчас данное сооружение занимает '.$building['territory'].' км<sup>2</sup>');
    		a('buildings.php?id='.$id.'&',$building_all['name'],'building');
        	include_once('inclfiles/foot.php');
    	}
    	else $err[] = 'Территорию сооружения данного типа нельзя редактировать';
    }
    else if($act == 'ohrana'){

    		if($_POST['plus'] != null OR $_POST['minus'] != null){
    			$pehota = num($_POST['pehota']);
    			$kavaleria = num($_POST['kavaleria']);
    			$strelki = num($_POST['strelki']);

            	if($_POST['plus'] != null){
            		if($pehota == 0 AND $kavaleria == 0 AND $strelki == 0) $err[] = 'Не введено количество военных';
            		if($pehota > $voiska['pehota_free']) $err[] = 'Недостаточно свободных пехотинцев';
            		if($kavaleria > $voiska['kavaleria_free']) $err[] = 'Недостаточно свободных кавалеристов';
            		if($strelki > $voiska['strelki_free']) $err[] = 'Недостаточно свободных стрелков';
            		if(!isset($err)){
            			mysql_query("UPDATE `buildings` SET `pehota` = (`pehota` + ".$pehota."),`kavaleria` = (`kavaleria` + ".$kavaleria."),`strelki` = (`strelki` + ".$strelki.") WHERE `country` = ".$country['id']." AND `type` = ".$id."");
            			mysql_query("UPDATE `voiska` SET `pehota_free` = (`pehota_free` - ".$pehota."),`kavaleria_free` = (`kavaleria_free` - ".$kavaleria."),`strelki_free` = (`strelki_free` - ".$strelki.") WHERE `country`=".$country['id']);
            			m('Охрана успешно увеличена');
            			$building = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id']." AND `type` = ".$id.""));
            			$voiska = mysql_fetch_array(mysql_query("SELECT * FROM `voiska` WHERE `country`=".$country['id']));
            		}
            	}
            	else{
            		if($pehota == 0 AND $kavaleria == 0 AND $strelki == 0) $err[] = 'Не введено количество военных';
            		if($pehota > $building['pehota']) $err[] = 'В охране недостаточно пехотинцев';
            		if($kavaleria > $building['kavaleria']) $err[] = 'В охране недостаточно кавалеристов';
            		if($strelki > $building['strelki']) $err[] = 'В охране недостаточно стрелков';
            		if(!isset($err)){
            			mysql_query("UPDATE `buildings` SET `pehota` = (`pehota` - ".$pehota."),`kavaleria` = (`kavaleria` - ".$kavaleria."),`strelki` = (`strelki` - ".$strelki.") WHERE `country` = ".$country['id']." AND `type` = ".$id."");
            			mysql_query("UPDATE `voiska` SET `pehota_free` = (`pehota_free` + ".$pehota."),`kavaleria_free` = (`kavaleria_free` + ".$kavaleria."),`strelki_free` = (`strelki_free` + ".$strelki.") WHERE `country`=".$country['id']);
            			m('Охрана успешно уменьшена');
            			$building = mysql_fetch_array(mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id']." AND `type` = ".$id.""));
            			$voiska = mysql_fetch_array(mysql_query("SELECT * FROM `voiska` WHERE `country`=".$country['id']));
            		}
            	}
          	}

        err();
        $dobav = false;
        echo '<form action="buildings.php?id='.$id.'&act=ohrana&'.$gets.'" method="POST">';

		if($voiska['pehota_free'] != 0 OR $building['pehota'] != 0){
			$dobav = true;
			c('Пехотинцы:<br/><input type="text" name="pehota" value="'.intval($pehota).'"/>');
		}
		if($voiska['kavaleria_free'] != 0 OR $building['kavaleria'] != 0){
		    $dobav = true;
			c('Кавалеристы:<br/><input type="text" name="kavaleria" value="'.intval($kavaleria).'"/>');
		}
		if($voiska['strelki_free'] != 0 OR $building['strelki'] != 0){
		    $dobav = true;
			c('Стрелки:<br/><input type="text" name="strelki" value="'.intval($strelki).'"/>');
		}

		if($dobav) c('<input name="plus" type="submit" value="Добавить" /> <input name="minus" type="submit" value="Отозвать" />');
		else t('Нет свободных военных');
		echo '</form>';
    	t('Текущая охрана: '.voisko($building['pehota'],$building['kavaleria'],$building['strelki']).'<br/>Свободное войско: '.voisko($voiska['pehota_free'],$voiska['kavaleria_free'],$voiska['strelki_free']));
    	a('buildings.php?id='.$id.'&',$building_all['name'],'building');
        include_once('inclfiles/foot.php');

    }

    err();

	t1();
	echo 'Тип сооружения: '.$building_type['name'].' ('.$building['level'].' уровень)<br/>';
	echo 'Целостность: '.round($building['zdorov']).'%<br/>';
	echo 'Территория: '.$building['territory'].' км<sup>2</sup><br/>';
	if($building_type['ukrepl']){
		if($building['ukrepl'] >= 10) echo 'Материал: камень<br/>';
		else echo 'Материал: дерево<br/>';
		if($building['ukrepl'] == 0) echo 'Укрепление: отсутствует<br/>';
		else echo 'Уровень укрепления: '.$building['ukrepl'].'<br/>';
 	}
 	echo 'Охрана: '.voisko($building['pehota'],$building['kavaleria'],$building['strelki']).'<br/>';
 	t2();




	switch($id){
		case '1':    // Внешняя политика
			t1();
			echo 'Казна: '.chislo($country['money'],'монета','монеты','монет').'<br/>';
			t2();
			$kol_sosedi  = mysql_num_rows(mysql_query("SELECT * FROM `countries` WHERE `zahvatil` = 0 AND `id` < ".$country['id']." LIMIT ".$country['zapad']."")) + mysql_num_rows(mysql_query("SELECT * FROM `countries` WHERE `zahvatil` = 0 AND `id` > ".$country['id']." LIMIT ".$country['vostok'].""));
			if($building['level'] >= 2) a('general.php?','Генерал','general');
			a('params.php?','Параметры государства','params');
			a('sosedi.php?','Соседние государства','sosedi',$kol_sosedi);
		break;
		case '2':   // Вооруженные силы
			t1();
			echo 'Свободные войска:<br/>';
			echo 'Пехотинцы: '.$voiska['pehota_free'].'/'.$voiska['pehota'].'</br>';
			echo 'Кавалеристы: '.$voiska['kavaleria_free'].'/'.$voiska['kavaleria'].'</br>';
			echo 'Стрелки: '.$voiska['strelki_free'].'/'.$voiska['strelki'].'<br/>';
			t2();

			t1();
			echo 'Обмундирование:<br/>';
			echo 'Оружие: ';
			if($country['oruzhie'] == 'easy') echo 'легкое';
			else echo 'тяжелое';
			echo '<br/>';
			echo 'Броня: ';
			if($country['mundir'] == 'easy') echo 'легкая';
			else echo 'тяжелая';
			echo '<br/>';
			t2();

			a('/tasks/obuch_voisko.php?','Обучение военных','obuch_voisko');
			if($building['level'] >= 2) a('/params_voisko.php?','Параметры войск','params_voisko');

		break;
		case '3':   // Торговля и ресурсы
			$mesto = $set['mesto'] +  4 * $building['level'] * $building['level'] * $building['territory'] - $country['wood'] - $country['stone'] - $country['iron'] - $country['grain'] - $country['oil'];

			t1();
			echo 'Ресурсы:<br/>';
			echo 'Дерево: '.$country['wood'].'<br/>';
			echo 'Камень: '.$country['stone'].'<br/>';
			echo 'Железо: '.$country['iron'].'<br/>';
			echo 'Зерно: '.$country['grain'].'<br/>';
			echo 'Нефть: '.$country['oil'].'<br/>';
			echo 'Свободно: '.$mesto.'<br/>';
			t2();
		break;
		case '4':   // Образование и наука
            t1();
            echo 'Свободно ученых: '.$country['academics_free'].'/'.$country['academics'].'<br/>';
            t2();
            a('/tasks/obuch_academics.php?','Обучение ученых','obuch_academics');
		break;
		case '5':   // Населенный пункт
			$zerno = $country['peoples'] * 2 + $country['academics'] * 2 + $voiska['pehota'] * 4 + $voiska['kavaleria'] * 15 + $voiska['strelki']  * 30;
        	t1();
			echo 'Свободное население:<br/>';
			echo 'Рабочие: '.$country['peoples_free'].'/'.$country['peoples'].'<br/>';
			echo 'Ученые: '.$country['academics_free'].'/'.$country['academics'].'<br/>';
			echo 'Военные: '.($voiska['pehota_free']+$voiska['kavaleria_free']+$voiska['strelki_free']).'/'.($voiska['pehota']+$voiska['kavaleria']+$voiska['strelki']).'<br/>';
			echo 'Потребление зерна в день: '.$zerno.'<br/>';
			t2();
		break;
		case '6':    // Защита


		break;
		case '7':    // Производство


		break;
		case '8':    // Нефтедобывающее

		break;
	}


	if($building_type['ukrepl'] AND $building['ukrepl'] < 100){
		if($building['ukrepl'] >= 10){
			if($country['wood'] >= $cena_wood AND $country['stone'] >= $cena_stone) a('buildings.php?id='.$id.'&act=ukrepl&','Укрепить за '.$cena_wood.' дерева и '.$cena_stone.' камня','ukrepl');
			else t('Для укрепления сооружения недостаточно ресурсов. Требуется '.$cena_wood.' дерева и '.$cena_stone.' камня');
		}
		else{
			if($country['wood'] >= $cena_wood) a('buildings.php?id='.$id.'&act=ukrepl&','Укрепить за '.$cena_wood.' дерева','ukrepl');
			else t('Для укрепления сооружения недостаточно ресурсов. Требуется '.$cena_wood.' дерева');
		}
    }

	if($building['zdorov'] <100){
 		if(mysql_num_rows(mysql_query("SELECT * FROM `tasks` WHERE `country` = ".$country['id']." AND `work` = 2 AND `work_type` = ".$building_all['type']."")) > 0){
            $remont = mysql_fetch_array(mysql_query("SELECT * FROM `tasks` WHERE `country` = ".$country['id']." AND `work` = 2 AND `work_type` = ".$building_all['type'].""));
            $procents = floor(((time() - $remont['time_start']) / ($remont['time_end'] - $remont['time_start'])) * 100);
 			a('/tasks/index.php?id='.$remont['id'].'&','Соооружение ремонтируется ['.$procents.'%]<br/><small>Осталось '.period($remont['time_end'] - time()).'</small>','none');
 		}
		else a('/tasks/remont.php?id='.$building['type'].'&','Ремонтировать сооружение','remont');
	}

	if(mysql_num_rows(mysql_query("SELECT * FROM `buildings_all` WHERE `type`= ".$building['type']." AND `level` = ".($building['level'] + 1)."")) != 0){
		if(mysql_num_rows(mysql_query("SELECT * FROM `tasks` WHERE `country` = ".$country['id']." AND `work` = 3 AND `work_type` = ".$building_all['type']."")) > 0){
          	$uluch = mysql_fetch_array(mysql_query("SELECT * FROM `tasks` WHERE `country` = ".$country['id']." AND `work` = 3 AND `work_type` = ".$building_all['type'].""));
          	$procents = floor(((time() - $uluch['time_start']) / ($uluch['time_end'] - $uluch['time_start'])) * 100);
			a('/tasks/index.php?id='.$uluch['id'].'&','Соооружение улучшается ['.$procents.'%]<br/><small>Осталось '.period($uluch['time_end'] - time()).'</small>','none');
		}
		else a('/tasks/uluch.php?id='.$building['type'].'&','Строить улучшение','uluch');
	}

    if($building_type['rasshir']) a('buildings.php?id='.$id.'&act=territory&','Территория сооружения','building_size',$building['territory']);

    a('buildings.php?id='.$id.'&act=ohrana&','Охрана сооружения','ohrana',($building['pehota']+$building['kavaleria']+$building['strelki']));


}
else{
	$title = 'Сооружения';
	include_once('inclfiles/head.php');
	$all = mysql_num_rows(mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id'].""));
	if($all != 0){
		$buildings = mysql_query("SELECT * FROM `buildings` WHERE `country`= ".$country['id']." ORDER BY `type` ASC");
		while($building = mysql_fetch_array($buildings)){

	    	$building_all = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_all` WHERE `type`= ".$building['type']." AND `level` = ".$building['level'].""));
			$building_type = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$building['type'].""));

			if($building['status'] == 'built'){
				$task_building =  mysql_fetch_array(mysql_query("SELECT * FROM `tasks` WHERE `work`= 1 AND `work_type` = ".$building['type']." AND `country` = ".$country['id'].""));
				$procents = floor(((time() - $task_building['time_start']) / ($task_building['time_end'] - $task_building['time_start'])) * 100);
	            $link = '/tasks/index.php?id='.$task_building['id'];
	            $image = '/images/buildings/stroyka.JPG';
	            $text = $building_all['name'].' ['.$procents.'%]<br/><small>Осталось: '.period($task_building['time_end'] - time()).'</small>';

			}
			if($building['status'] == 'builted'){
				$link = '/buildings.php?id='.$building['type'];
				$image = '/images/buildings/'.$building_all['id'].'.jpg';
				$text = $building_all['name'];
				if($building['zdorov'] < 100) $text .= ' ['.round($building['zdorov']).'%]';
				$text .= '<br/><small>'.$building_type['name'].'</small>';
			}
			if($building['status'] == 'destroyed'){
				$link = '/tasks/built.php?id='.$building['type'];
				$image = '/images/buildings/destroyed.jpg';
				$text = $building_all['name'].'<br/><small>Сооружение полностью разрушено</small>';
			}

	  		if($set['images'] == 'on') echo '<a class="building_link" href="'.$link.'&'.$gets.'"><table><tr><td class="building_left"><center><img src="'.$image.'" alt=""></center></td><td class="building_right">'.$text.'</td></tr></table></a>';
	        else a($link.'&',$text,'none');
		}
	}
	else{
		t('В Вашем государстве еще не было построено ни одно сооружение');
		a('/tasks/built.php?','Построить сооружение','built');
	}
}
include_once('inclfiles/foot.php');
?>